"""
Errors for board actions
"""
class BoardError(Exception):
    """
    A General Error with the Board
    """
    pass


class InterfaceNotFoundError(Exception):
    """
    Error if not pci command was found
    """
    pass


class ObserverError(Exception):
    """
    Error in Observation of configuration values
    """
    pass


class NoBoardId(Exception):
    """
    Error if not board id was given
    """
    pass


class NoSuchKeyError(Exception):
    """
    Error if a key is requested that does not exist in configuration
    """
    pass

