from PyQt4 import QtGui


from ..base import kcgwidget as kcgw
from ..base.globals import glob as global_objects

__widget_id__ = None


class ExampleWidget(kcgw.KCGWidgets):
    def __init__(self, unique_id, parent):
        super(ExampleWidget, self).__init__()

        self.id = unique_id
        self.par = parent

        self.layout = QtGui.QHBoxLayout()
        self.setLayout(self.layout)

        self.button1 = self.createButton("Button 1", connect=self.pressed)
        self.button2 = self.createButton("Button 2", connect=self.pressed)

        self.layout.addWidget(self.button1)
        self.layout.addWidget(self.button2)

        self.setWindowTitle("Example Widget")

    def pressed(self):
        print('Pressed')

    def closeEvent(self, event):
        global __widget_id__
        __widget_id__ = None
        del self.par.widgets[self.id]


def addExampleWidget():
    global __widget_id__
    if __widget_id__:
        global_objects.get_global('area').widgets[__widget_id__].setFocus()
    else:
        nid = kcgw.idg.genid()
        __widget_id__ = nid
        w = ExampleWidget(nid, global_objects.get_global('area'))
        global_objects.get_global('area').newWidget(w, "Example Widget", nid, widget_type=4)

kcgw.register_widget(QtGui.QIcon(config.icon_path("sproject.svg")), "Example Widget", addExampleWidget, "Ctrl+e")
