#!/usr/bin/python
from setuptools import setup, find_packages
import time, subprocess
DESCRIPTION = "KCG KAPTURE Control Gui"
git_count = subprocess.check_output(["git", "rev-list", "--count", "HEAD"]).strip()
version_time = time.strftime("%d%m%y")
VERSION = "0.3.2."+git_count+"."+version_time+"-beta"
with open("KCG/VERSION", 'w') as vfile:
    vfile.write(VERSION)

setup(
    name='KCG',
#    version='0.3.2.197.0704-beta',
    version=VERSION,
    author='Patrick Schreiber, Matthias Martin',
    author_email='uldfk@student.kit.edu, uadse@student.kit.edu',
#    license='GPL',
    description=DESCRIPTION,
    long_description=DESCRIPTION,
    packages=find_packages(),
    install_requires=['numpy',
                      'python-qt',
                      'pyqtgraph'],
    zip_safe = False,
    include_package_data = True,
    entry_points = {
        'console_scripts': [
            'kcg = KCG.kcg:run'
        ],
    },
)
